- name: Set the hostname
  hostname:
    name: "{{ hostname }}"

- name: Copy the wallpaper
  copy:
    src: resources/cpl-wallpaper.png
    dest: /usr/share/xfce4/backdrops/
  when: interface == "gui"

- name: Copy the README
  copy:
    src: resources/README.txt
    dest: /home/{{ username }}/Desktop
  when: interface == "gui"

- name: Set the default wallpaper
  replace:
    path: /etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
    regexp: "xubuntu-wallpaper.png"
    replace: "cpl-wallpaper.png"
  when: interface == "gui"

- name: Set the login-screen background
  replace:
    path: /etc/lightdm/lightdm-gtk-greeter.conf
    regexp: "^#background=$"
    replace: "background = /usr/share/xfce4/backdrops/cpl-wallpaper.png"
  when: interface == "gui"

- name: Running 'updatedb'
  command: updatedb
  when: interface == "gui"
